Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QListView.ViewMode

    java.lang.Object
      java.lang.Enum<QListView.ViewMode>
          com.trolltech.qt.gui.QListView.ViewMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QListView.ViewMode>

Enclosing class:
  QListView

    public static enum QListView.ViewMode

extends java.lang.Enum<QListView.ViewMode>
implements QtEnumerator

Press link for info on QListView.ViewMode

Enum Constant Summary
`IconMode` The items are laid out using `LeftToRight` flow, with Large size and Free movement
`ListMode` The items are laid out using `TopToBottom` flow, with Small size and Static movement

Method Summary
`static QListView.ViewMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QListView.ViewMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QListView.ViewMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ListMode

    public static final QListView.ViewMode ListMode

  The items are laid out using `TopToBottom` flow, with Small size and Static movement

### IconMode

    public static final QListView.ViewMode IconMode

  The items are laid out using `LeftToRight` flow, with Large size and Free movement

Method Detail

### values

    public static final QListView.ViewMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QListView.ViewMode c : QListView.ViewMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QListView.ViewMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QListView.ViewMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD